Bug 200196 - [JSC] Increment bytecode age only when SlotVisitor is first-visit
Summary: [JSC] Increment bytecode age only when SlotVisitor is first-visit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-27 02:58 PDT by Yusuke Suzuki
Modified: 2019-07-29 15:28 PDT (History)
8 users (show)

See Also:


Attachments
Patch (2.71 KB, patch)
2019-07-27 02:59 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (3.17 KB, patch)
2019-07-27 23:53 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (9.08 KB, patch)
2019-07-28 23:12 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (9.13 KB, patch)
2019-07-29 00:03 PDT, Yusuke Suzuki
rmorisset: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2019-07-27 02:58:23 PDT
[JSC] Increment bytecode age only when SlotVisitor is first-visit
Comment 1 Yusuke Suzuki 2019-07-27 02:59:26 PDT
Created attachment 375028 [details]
Patch
Comment 2 Yusuke Suzuki 2019-07-27 23:53:24 PDT
Created attachment 375040 [details]
Patch
Comment 3 Yusuke Suzuki 2019-07-28 23:12:35 PDT
Created attachment 375063 [details]
Patch
Comment 4 Yusuke Suzuki 2019-07-29 00:03:25 PDT
Created attachment 375067 [details]
Patch
Comment 5 Robin Morisset 2019-07-29 12:58:06 PDT
Comment on attachment 375067 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=375067&action=review

r=me

> Source/JavaScriptCore/runtime/Options.h:201
> +    v(bool, countParseTimes, false, Normal, "counts prase times") \

prase => parse

> JSTests/stress/reparsing-unlinked-codeblock.js:27
> +shouldBe(second >= 3, true); // `hello`, `inner`, `world`. Another functions can be destroyed, so using >= here.

Another => Other
Comment 6 Yusuke Suzuki 2019-07-29 15:27:03 PDT
Committed r247925: <https://trac.webkit.org/changeset/247925>
Comment 7 Radar WebKit Bug Importer 2019-07-29 15:28:20 PDT
<rdar://problem/53682466>